CHGPASSWD(8)

NAZWA
chgpasswd - wsadowa aktualizacja haseł grup

SKŁADNIA

chgpasswd [opcje]

OPIS

Polecenie chgpasswd czyta pary danych (grupa i hasło) ze standardowego wejścia. Odczytane informacje wykorzystywane są do aktualizacji danych o grupach istniejących użytkowników. Każdy wiersz przekazywanych danych ma postać:

nazwa_grupy:hasło

By default the supplied password must be in clear-text, and is encrypted by chgpasswd.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwiten with the -e, -m, or -c options.

Polecenie to przeznaczone jest do użytku w dużych systemach, gdzie aktualizuje się wiele kont naraz.

OPCJE

Polecenie chgpasswd posiada następujące opcje:

-c, --crypt-method
    Use the specified method to encrypt the passwords.

    The available methods are DES, MD5, NONE, and SHA256 or SHA512 if your libc support these methods.

-e, --encrypted
    Dostarczone na standardowe wejście hasła są traktowane jako już zakodowane.

-h, --help
    Wyświetlenie komunikatu pomocy i zakończenie działania.

-m, --md5
    Jeżeli dpostarczane hasła są w postaci jawnej użyj kodowania MD5 zamiast domyślnego DES.

-s, --sha-rounds
    Use the specified number of rounds to encrypt the passwords.

    The value 0 means that the system will choose the default number of rounds for the crypt method (5000).

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced.

    You can only use this option with the SHA256 or SHA512 crypt method.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

OSTRZEŻENIA

Pamiętaj żeby zabezpieczyć przed odczytem plik przekazywany na standardowe wejście polecenia.

You should make sure the passwords and the encryption method respect the system's password policy.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    This defines the system default encryption algorithm for encrypting passwords (if no algorithm are specified on the command line).

    It can take one of these values:

        • DES (default)

        • MD5

        • SHA256

        • SHA512

        Note: this parameter overrides the MD5_CRYPT_ENAB variable.

    MAX_MEMBERS_PER_GROUP (number)
        Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

        The default value is 0, meaning that there are no limits in the number of members in a group.

        This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

        If you need to enforce such limit, you can use 25.

        Note: split groups may not be supported by all tools (even in the Shadow toolsuite). You should not use this variable unless you really need it.

    MD5_CRYPT_ENAB (boolean)
        Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

        This variable is superceded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

        This variable is deprecated. You should use ENCRYPT_METHOD.

    SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
        When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

        With a lot of rounds, it is more difficult to brute forcing the password. But note also that more CPU resources will be needed to authenticate users.

        If not specified, the libc will choose the default number of rounds (5000).

        The values must be inside the 1000-999999999 range.

        If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

        If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

PLIKI

/etc/group
    Informacje o grupach użytkowników.

/etc/gshadow
    Informacje chronione o grupach użytkowników.

/etc/login.defs
    Konfiguracja pakietu shadow.

ZOBACZ TAKŻE

gpasswd(1), groupadd(8), login.defs(5).